Bug 168168 - Review request: perl-Locale-Maketext-Lexicon - Locale::Maketext::Lexicon Perl module
Review request: perl-Locale-Maketext-Lexicon - Locale::Maketext::Lexicon Perl...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Locale-Ma...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-13 00:48 EDT by Ralf Corsepius
Modified: 2014-06-26 13:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 03:27:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-09-13 00:48:55 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Locale-Maketext-Lexicon.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Locale-Maketext-Lexicon-0.49-1.src.rpm

Description:
Locale::Maketext::Lexicon provides lexicon-handling backends for
Locale::Maketext to read from other localization formats, such as PO files,
MO files, or from databases via the "Tie" interface.
Comment 1 Paul Howarth 2005-09-16 11:00:02 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec, not in separate file
- spec file written in English and is legible
- sources match upstream
- package builds OK on FC4 and in mock for rawhide (i386)
- no explicit BR's
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop file needed
- no scriptlets
- provides-filtering script is necessary (provided)

Notes:

- URL for Source0 doesn't work: s/www/search/
- Does CVS preserve exec permissions on source files? If not, then
  %define __perl_provides %{SOURCE1}
  won't work reliably out of CVS because %{SOURCE1} may not have exec
  permission. I'd advocate adding:
  chmod 755 %{SOURCE1}
  to the end of %prep as a safeguard

Approved.
Comment 2 Ralf Corsepius 2005-09-16 11:17:27 EDT
(In reply to comment #1)

> - URL for Source0 doesn't work: s/www/search/
Grumble ... I somehow screwed my template.

> - Does CVS preserve exec permissions on source files?
It does - Actually, not taking this into account during check-in into CVS is a
fairly common mistake in using CVS (Changing permissions requires admin
intervention on the files inside of CVS).

But I am not sure about the side-effects of cvs-import :)

> Approved.
Thanks.
Comment 3 Richard Henwood 2014-06-26 13:10:50 EDT
New Package SCM Request
======================
Package Name: perl-Locale-Maketext-Lexicon
New Branches: epel7
Owners: richardhenwood

The Fedora maintainer (Ralf Corsepius, corsepiu) does not support EPEL7.
Comment 4 Jon Ciesla 2014-06-26 13:47:55 EDT
ARNING: "richardhenwood" is not in the packager group.
WARNING: No description provided.
WARNING: fedora-review flag not set 

Also, use a Package Change request for a new branch.

Note You need to log in before you can comment on or make changes to this bug.